Subject: Re: [dtn-users] DTN_MAX_BUNDLE_MEM hard limit??
From: Michael Demmer <[email-masked]>
To: [email-masked]
Date: Tue, 1 May 2007 08:48:57 -0700
List-Id: discussion/answers list for users of the dtn reference implementation <dtn-users.mailman.dtnrg.org>

The DTN_MAX_BUNDLE_MEM is only used for the API and is used to keep  
the RPC protocol for the dtnapi simple. 50K is basically arbitrary  
but it needs some limit.

When you're running within the routing layer, you can obviously use  
the BundlePayload class API to fill in the bundle, which has no hard  
size constraints, but will itself keep bundle data in the file.

Applications can use bigger bundles of course but then they need to  
use the file-based mechanism for passing bundles to and from the daemon.

I've been mulling over this issue for a while and am leaning towards  
maybe changing dtn_recv to be able to return the payload in chunks  
for the case where the user wants it in memory. That would make the  
api a bit easier to use I think.

-mike

On May 1, 2007, at 7:42 AM, Zahir Koradia wrote:

> Hi Mike,
> Is there any particular reason to have this value set to 50K? Are  
> there any dependencies on this figure anywhere? If I filled a  
> payload at the routing layer (bypassing dtn api) of size larger  
> than 50K(I am looking at around 2MB) and then sent it out would  
> there be any issues?
>
> Thanks,
> Zahir

Date: Wed, 2 May 2007 01:42:10 +1100
From: "Zahir Koradia" <[email-masked]>
To: [email-masked]
Subject: [dtn-users] DTN_MAX_BUNDLE_MEM hard limit??
Sender: [email-masked]
Reply-To: [email-masked]

------=_Part_77530_29947147.1178030530073
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

Hi Mike,
Is there any particular reason to have this value set to 50K? Are there any
dependencies on this figure anywhere? If I filled a payload at the routing
layer (bypassing dtn api) of size larger than 50K(I am looking at around
2MB) and then sent it out would there be any issues?

Thanks,
Zahir

------=_Part_77530_29947147.1178030530073
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

Hi Mike,<br>Is there any particular reason to have this value set to 50K? Are there any dependencies on this figure anywhere? If I filled a payload at the routing layer (bypassing dtn api) of size larger than 50K(I am looking at around 2MB) and then sent it out would there be any issues?
<br><br>Thanks,<br>Zahir<br>

------=_Part_77530_29947147.1178030530073--